* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  min-height: 100vh;
  background: rgb(254, 255, 255);
  font-family: Arial, Helvetica, sans-serif;
  padding: 10px;
}
.logo-wikipedia {
  display: block;
  width: clamp(100px, 25vw, 250px);
  margin: 0 auto;
}

h1 {
  font-size: clamp(20px, 4vw, 40px);
  text-align: center;
  margin: 3rem 0;
  color: #333;
  text-transform: uppercase;
}

form {
  width: 100%;
  max-width: 800px;
  margin: 0 auto 20px;
}

form input {
  display: block;
  margin: 0 auto;
  width: 100%;
  height: 80px;
  padding: 20px;
  border:none;
  background: none;
  border-bottom: 2px solid midnightblue;
  color: #333;
  font-size: 20px;
  outline: none;
  position: relative;
  box-shadow: 0 5px 5px 0 rgba(0,0,0,.3);
  border-radius: 5px;
}

::placeholder{
  color: midnightblue;
  position:absolute; 
  top:50%;
  left:6rem;
  transform:translate(-50%,-50%);
  transition: top 0.2s ease-in;
}

form input:focus::placeholder {
top: 10%;
}

form button {
  display: block;
  margin: 1rem auto;
  padding: 1rem 2rem;
  border: none;
  background: midnightblue;
  color:  #f1f1f1;
  font-weight: bold;
  cursor: pointer;
  border-radius: 10px;
  transition: background 0.2s ease-in;
}

form button:hover {
  background: rgb(49, 11, 165);
}

.resultat {
  max-width: 600px;
  margin: 70px 0;
}

.loader {
  display: none;
  justify-content: center;
}

.rond {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  background: midnightblue;
  margin: 0 3px;
  animation: load 0.3s infinite ease-out alternate;
}

.rond:nth-child(2){
  animation-delay: 0.1s;
}
.rond:nth-child(3){
  animation-delay: 0.2s;
}

@keyframes load {
  to {transform: translateX(10px)}
}

.cont-resultats {
  display:flex;
  justify-content:center;
  align-items:center;
  flex-wrap: wrap;
}

.resultat {
  max-width: 300px;
  height: 150px;
  margin: 0 10px;
  margin-bottom: 20px;
  box-shadow: 0 5px 5px 0 rgba(0, 0, 0, .3);
  padding: 0.5rem;
}

.resultat-titre{
  font-size: 20px;
  color: midnightblue;
}
.resultat-snippet{
  font-size: 15px;
  color: #333;
}
.resultat-lien{
  font-size: 15px;
  color: violet;
  text-decoration: none;
  overflow-wrap: brek-word;
}

.message-erreur {
  color: red;
  font-weight: 700;
text-align: center;}